Name: H5Tget_norm
Signature:
  H5T_norm_t `H5Tget_norm`(hid_t `type_id` )
Purpose:
  Retrieves mantissa normalization of a floating-point datatype.
Description:
  `H5Tget_norm` retrieves the mantissa normalization of a floating-point datatype. Valid normalization types are:
  H5T_NORM_IMPLIED (`0`)
    MSB of mantissa is not stored, always 1
  H5T_NORM_MSBSET (`1`)
    MSB of mantissa is always 1
  H5T_NORM_NONE (`2`)
    Mantissa is not normalized
Parameters:

hid_t `type_id` | Identifier of datatype to query.

Returns:
  Returns a valid normalization type if successful; otherwise `H5T_NORM_ERROR` (-1).
Fortran90 Interface: h5tget_norm_f

      SUBROUTINE h5tget_norm_f(type_id, norm, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id
                                       ! Datatype identifier
        INTEGER, INTENT(OUT) :: norm   ! Mantissa normalization of a
                                       ! floating-point datatype
                                       ! Valid normalization types are:
                                       !    H5T_NORM_IMPLIED_F(0)
                                       !        MSB of mantissa is not
                                       !        stored, always 1
                                       !    H5T_NORM_MSBSET_F(1)
                                       !        MSB of mantissa is always 1
                                       !    H5T_NORM_NONE_F(2)
                                       !        Mantissa is not normalized
        INTEGER, INTENT(OUT) :: hdferr ! Error code
      END SUBROUTINE h5tget_norm_f